<script context="module">
	/**
	 * @type {import('@sveltejs/kit').Load}
	 */
	export async function load({ page }) {
		return {
            props: {
                name: page.params.station_name
            }
		};
	}
</script>

<script>
    import Rain from '$lib/Icons/Rain.svelte';
    import Cloudy from '$lib/Icons/Cloudy.svelte';
    import Idea from '$lib/Icons/Idea.svelte';
    import Glasses from '$lib/Icons/Glasses.svelte'
    import { stations } from '$lib/stations.js';

    export let name;

    const foundStation = $stations.find(station => station.libelle === name);
    const temp = foundStation?.tx ? foundStation?.tx : foundStation?.tn;
    const humidex = (temp - 2);
    const uvIndice = Math.floor(Math.random() * 8) + 2;
    const humidity = Math.floor(Math.random() * 55) + 40;
    const windSpeed = Math.floor(Math.random() * 60) + 5;
</script>

<section>
    <div class="bg-gray-50 pt-12 sm:pt-16">
        <div class="sm:grid sm:grid-cols-2">
            <!-- METEO -->
            <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
                <div class="max-w-4xl mx-auto">
                    <h2 class="text-3xl font-extrabold text-gray-900 sm:text-4xl">
                        {name}
                    </h2>
                    <div class="sm:grid sm:grid-cols-2 justify-items-center items-stretch mt-8">
                        <div class="w-36 h-36">
                            <Cloudy />
                        </div>
                        <div class="m-auto">
                            <p class="text-5xl font-extrabold">
                                {temp ? temp : '15'} °C
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <!-- INFO METEO  -->
            <div class="sm:grid sm:grid-rows-4 text-gray-600 m-auto ml-6">
                <p class="mt-3 mb-3"> Indice UV : {uvIndice} </p>
                <p class="mt-3 mb-3"> Taux d'humidité : {humidity} % </p>
                <p class="mt-3 mb-3">
                    Humidex : {humidex} °C
                </p>
                {#if foundStation?.rr}
                    <p class="mt-3 mb-3"> Cumul de précipitations : {foundStation.rr} mm </p>
                {/if}
                <p class="mt-3 mb-3"> Vitesse du vent : {windSpeed} km/h </p>
            </div>
        </div>
        
        <div class="mt-10 pb-12 bg-white sm:pb-16">
            <div class="relative">
                <div class="absolute inset-0 h-1/2 bg-gray-50"></div>
                <div class="relative max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
                    <div class="max-w-4xl mx-auto">
                        <dl class="rounded-lg bg-indigo-400 shadow-lg sm:grid sm:grid-cols-4 text-white">
                        <div class="flex flex-col border-b border-gray-100 p-6 sm:border-0 sm:border-r items-center">
                            <dt class="order-2 mt-2 text-lg leading-6 font-medium">
                                Nuit
                            </dt>
                            <div class=" order-1 w-12 h-12 fill-current">
                                <Rain />
                            </div>
                        </div>
                        <div class="flex flex-col border-t border-b border-gray-100 p-6 sm:border-0 sm:border-l sm:border-r items-center">
                            <dt class="order-2 mt-2 text-lg leading-6 font-medium">
                                Matin
                            </dt>
                            <div class="order-1 w-12 h-12 fill-current">
                                <Rain />
                            </div>
                        </div>
                        <div class="flex flex-col border-t border-gray-100 p-6 sm:border-0 sm:border-l items-center">
                            <dt class="order-2 mt-2 text-lg leading-6 font-medium">
                                Après-midi
                            </dt>
                            <div class="order-1 w-12 h-12 fill-current">
                                <Rain />
                            </div>
                        </div>
                        <div class="flex flex-col border-t border-gray-100 p-6 sm:border-0 sm:border-l items-center">
                            <dt class="order-2 mt-2 text-lg leading-6 font-medium ">
                                Soir
                            </dt>
                            <div class="order-1 w-12 h-12 fill-current">
                                <Rain />
                            </div>
                        </div>
                        </dl>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="other">
    <div class="sm:flex">
        <div class="mb-4 flex-shrink-0 sm:mb-0 sm:mr-4 w-16 h-16">
            <Glasses />
        </div>
        <div>
            <h2 class="text-lg font-bold">Comment je m'habille ?</h2>
            <p class="mt-2">
                Enfilez des vêtements légers (short, t-shirt, casquette). Prenez garde aux rayons UV.
            </p>
        </div>
    </div>

    <div class="sm:flex mt-12">
        <div class="mb-4 flex-shrink-0 sm:mb-0 sm:mr-4 w-16 h-16">
            <Idea />
        </div>
        <div>
            <h2 class="text-lg font-bold">L'info du jour</h2>
            <p class="mt-1">
                La barbe a papa à été inventée par un dentiste.
                Tout a débuté en 1897, lorsqu'un dentiste du nom de William Morrison peinait à trouver des clients.
                Il demanda alors au confiseur John Wharton de lui créer un nouveau type de confiserie pour donner
                des caries : la fameuse barbe à papa.
            </p>
        </div>
    </div>
</section>
